%define name gamgi
%define version 0.14.6
%define release	%mkrel 1

Summary: GAMGI is a package to build, visualize and analyse atomic structures
Name:	 %name
Version: %version
Release: %release
License: GPL
Group:	 Sciences/Chemistry
URL:	 http://www.gamgi.org/
Source:	 http://www.gamgi.org/src/download.html/%{name}-all-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtkglext-devel atk-devel pango-devel desktop-file-utils
BuildRequires:  expat-devel libfreetype6-devel cairo-devel gtk2-devel
Obsoletes: %name < %version

%description
GAMGI is an object-oriented program aiming to handle all aspects directly related with building, 
viewing and analysing atomic strucures, such as molecules, crystals, glasses, liquids, etc. GAMGI 
supports the 230 crystallographic space groups, and can be used to perform point symmetry and 3D 
Voronoi analysis. GAMGI supports multiple windows, layers, and lights, and offers maximum control 
over even low-level objects as atoms, bonds and text objects.

GAMGI comes with extensive XHTML documentation that can be seen with a browser or GAMGI itself,
from the local computer or from a remote http or ftp site, as www.gamgi.org. GAMGI also comes with 
hundreds of files describing relevant molecules, clusters and cellsi, in GAMGI XML native format, 
that can be loaded out-of-the-box.
 
%prep
%setup -q -n %{name}%{version}

%build
cd src
%make
cd .
%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/%_bindir	
install -m 755 src/%name $RPM_BUILD_ROOT/%_bindir

install -dm 755 $RPM_BUILD_ROOT/%_datadir/%{name}
cp -af dat/* $RPM_BUILD_ROOT/%_datadir/%{name}

# menu 
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=GAMGI
Comment=Visualize and analyse atomic structures
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Education;X-MandrivaLinux-MoreApplications-Sciences-Chemistry;
EOF

#icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 doc/icon/gamgi316.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48 \
%{buildroot}%{_datadir}/pixmaps/%{name}.png

#man
mkdir -p $RPM_BUILD_ROOT/%_datadir/man/man1
gzip doc/man/page
cp doc/man/page.gz $RPM_BUILD_ROOT/%_datadir/man/man1/gamgi.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTORS SUPPORTERS doc/*
%{_bindir}/%{name}
%_datadir/%{name}
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/%{name}.png
%_mandir/man1/%{name}.1.bz2

%changelog
* Thu Feb 09 2010 slick50 <lxgator@gmail.com> 0.14.6-1pclos2010
- 0.14.6

* Wed Jan 20 2010 slick50 <lxgator@gmail.com> 0.14.5-1pclos2010
- 0.14.5

* Tue Dec 29 2009 slick50 <lxgator@gmail.com> 0.14.4-1pclos2010
- 0.14.4

* Tue Dec 01 2009 slick50 <lxgator@gmail.com> 0.14.3-1pclos2010
- 0.14.3

* Thu Sep 24 2009 slick50 <lxgator@gmail.com> 0.14-1pclos2009
- Initial package
